Subject: bug#63956: 29.0.91; tex-mode display problem in emacs-29

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Jun 2023 14:12:56 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Jeff Norden <[email-masked]>,  [email-masked],  [email-masked]
> Date: Mon, 12 Jun 2023 21:34:19 -0400
> 
> Hmm... when I introduced `tex-cmd-doc-view` it just used
> 
>     (pop-to-buffer (find-file-noselect file))
> 
> then when Sam Steingold introduced `display-comint-buffer-action` (in
> commit 18b680cfd177) he used it there as well, but I suspect this was
> a mistake because that command does not at all work like a comint thingy
> (my guess is that he's an AUCTeX user and just assumed that
> `tex-cmd-doc-view` is like other `tex-cmd-*` thingies).
> 
> I'm not sure it's harmful to use `display-comint-buffer-action` or
> `display-tex-shell-buffer-action` there (e.g. I haven't noticed it being
> a problem in my own use since Sam's patch), but it doesn't seem
> necessary nor very natural (it's just not a "tex-shell" or "comint"
> buffer, it's a normal file buffer).

Thanks, I removed the 2nd argument of pop-to-buffer there.